Subject: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Thomas Fitzsimmons <[email-masked]>
Date: Sat, 22 Dec 2018 10:05:47 -0500

Filipp Gunbin <[email-masked]> writes:

> On 03/12/2018 09:17 -0500, Thomas Fitzsimmons wrote:
>
>> Filipp Gunbin <[email-masked]> writes:
>>
>>> On 29/11/2018 12:41 +0200, Eli Zaretskii wrote:
>>>
>>>>> From: Filipp Gunbin <[email-masked]>
>>>>> Cc: [email-masked],  [email-masked],  [email-masked]
>>>>> Date: Thu, 29 Nov 2018 12:51:09 +0300
>>>>>
>>>>> > I guess I'm confused regarding what you'd like to see on emacs-26.
>>>>> > Was there a patch to that effect posted in this discussion, and if so,
>>>>> > could you point me to it, please?
>>>>>
>>>>> Sure, it's in message https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33050#89
>>>>
>>>> Thanks, now pushed to the emacs-26 branch.
>>>
>>> Ok, I pushed the unconditional setting on master and am closing this
>>> bug.
>>
>> Thanks Eli and Filipp for pushing these.  Filipp, on master is there any
>> reason not to just leave process-connection-type at its default value?
>> The patch I was going to push for this is attached.
>>
>> Thomas
>
> I find explicit setting more descriptive, but if you think default is
> better - please push :-)

OK, pushed.  I put a comment in to reference this discussion.

Thomas